System 2.0.0.0 4.0.0.0 System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

The and classes control access to SMTP host computers. The class demands an when sending electronic mail to the SMTP host for delivery.

The enumeration specifies the level of access controlled by an instance of this permission.

Controls access to Simple Mail Transport Protocol (SMTP) servers.

- Constructor
  2.0.0.0
  4.0.0.0

  If is true, the permission controls access to SMTP servers. If unrestricted is false, the permission controls access.

  Initializes a new instance of the class with the specified state.

  true if the new permission is unrestricted; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0

  The permission created by this constructor can be used to help secure access to SMTP servers.

  Initializes a new instance of the class using the specified access level.

  One of the values.
- Constructor
  2.0.0.0
  4.0.0.0

  The permission created by this constructor can be used to give full access or prevent all access to SMTP servers.

  Initializes a new instance of the class using the specified permission state value.

  One of the values.
- Property
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpAccess To be added. To be added.

  Gets the level of access to SMTP servers controlled by the permission.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this method to modify access to Simple Mail Transport Protocol servers by adding to the state of this permission instance.

  Adds the specified access level value to the permission.

  One of the values.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of a permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  An that is identical to the current permission.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is used by the security system and is not normally called by application code.

  Sets the state of the permission using the specified XML encoding.

  The XML encoding to use to set the state of the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the state they describe in common. Only a demand that passes both original permissions will pass the intersection.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  An that represents the intersection of the current permission and the specified permission. Returns null if the intersection is empty or is null.

  An to intersect with the current permission. It must be of the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission is a subset of the specified permission if the current permission specifies a state that is wholly contained by the specified permission. If this method returns true, the current permission represents no more access to the protected resource than does the specified permission.

  Returns a value indicating whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  An that is to be tested for the subset relationship. This permission must be of the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission has full access to all resources controlled by the permission instance.

  Returns a value indicating whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  This method is used by the security system and is not normally called by application code.

  Creates an XML encoding of the state of the permission.

  A that contains an XML encoding of the current permission.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The method returns a permission that represents all the states represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  Creates a permission that is the union of the current permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  An to combine with the current permission.